SDL_wcsstr(3)

NAME
SDL_wcsstr - Search a wide string for the first instance of a specific substring.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

wchar_t * SDL_wcsstr(const wchar_t *haystack, const wchar_t *needle);

DESCRIPTION
The search ends once it finds the requested substring, or a null terminator byte to end the string.

Note that this looks for strings of _wide characters_, not _codepoints_, so it's legal to search for malformed and incomplete UTF-16 sequences.

FUNCTION PARAMETERS

haystack
    the wide string to search. Must not be NULL.

needle
    the wide string to search for. Must not be NULL.

RETURN VALUE
Returns a pointer to the first instance of needle in the string, or NULL if not found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.